Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRSubreportReturnValue

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseSubreportReturnValue, JRDesignSubreportReturnValue, JRFillSubreportReturnValue

    public interface JRSubreportReturnValue

extends JRCloneable

A value copied from a subreport into a variable of the master report.

Version:
  $Id: JRSubreportReturnValue.java 3510 2010-03-05 10:38:28Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`byte` | `getCalculation()` Deprecated. Replaced by `getCalculationValue()`
`CalculationEnum` | `getCalculationValue()` Returns the calculation type.
`java.lang.String` | `getIncrementerFactoryClassName()` Returns the incrementer factory class name.
`java.lang.String` | `getSubreportVariable()` Returns the name of the subreport variable whose value should be copied.
`java.lang.String` | `getToVariable()` Returns the name of the master report variable where the value should be copied.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getSubreportVariable

    java.lang.String getSubreportVariable()

  Returns the name of the subreport variable whose value should be copied.

  Returns:
    the name of the subreport variable whose value should be copied.

### getToVariable

    java.lang.String getToVariable()

  Returns the name of the master report variable where the value should be copied.

  Returns:
    the name of the master report variable where the value should be copied.

### getCalculation

    byte getCalculation()

  Deprecated. Replaced by `getCalculationValue()`

### getCalculationValue

    CalculationEnum getCalculationValue()

  Returns the calculation type.

  When copying the value from the subreport, a formula can be applied such that sum, maximum, average and so on can be computed.

  Returns:
    the calculation type.

### getIncrementerFactoryClassName

    java.lang.String getIncrementerFactoryClassName()

  Returns the incrementer factory class name.

  The factory will be used to increment the value of the master report variable with the value from the subreport.

  Returns:
    the incrementer factory class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com